Ask Your Question
2

Error when compiling Sage 9.8 from source in Arch Linux

asked 2023-04-22 15:09:18 +0200

hoanganhduc gravatar image

updated 2023-04-22 15:11:36 +0200

Hello,

While compiling sage 9.8 from source in my Arch Linux using the commands

./configure --with-python=/usr/bin/python3.9 --without-system-zeromq
SAGE_KEEP_BUILT_SPKGS=yes MAKE='make -j8' make

I got some error message like

Error building Sage.

The following package(s) may have failed to build (not necessarily during this run of 'make all-start'):

  • package: sagelib-9.8 last build time: Apr 22 19:54 log file:
    /home/hoanganhduc/sage-9.8/logs/pkgs/sagelib-9.8.log

It is safe to delete any log files and build directories, but they contain information that is helpful for debugging build problems. WARNING: If you now run 'make' again, the build directory of the same version of the package will, by default, be deleted. Set the environment variable SAGE_KEEP_BUILT_SPKGS=yes to prevent this.

How do I fix this?

Here are the links to my install.log and sagelib-9.8.log.

Thanks!

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
2

answered 2023-04-22 18:33:33 +0200

This is a conflict between a new version of Singular and Sage 9.8 (since fixed in the latest beta versions of Sage). To work around it: add --without-system-singular to the flags for ./configure. (Changes in Singular incorporated into Sage in https://github.com/sagemath/sage/issu....)

edit flag offensive delete link more

Comments

Thanks! I followed your answer. The problem is resolved.

hoanganhduc gravatar imagehoanganhduc ( 2023-04-23 05:56:36 +0200 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2023-04-22 15:09:18 +0200

Seen: 187 times

Last updated: Apr 22 '23